package eewer.com.bbtop;

import javax.swing.*;
import java.awt.*;
import java.time.LocalDateTime;
import java.time.format.DateTimeFormatter;

public class AlwaysOnTopFrame {
    public static void main(String[] args) {
    	
    	// Add this before setting the font to check available fonts
    	GraphicsEnvironment ge = GraphicsEnvironment.getLocalGraphicsEnvironment();
    	String[] fontNames = ge.getAvailableFontFamilyNames();
    	for (String fontName : fontNames) {
    	    if (fontName.contains("YaHei") || fontName.contains("SimSun") || fontName.contains("Noto")) {
    	        System.out.println("Found suitable font: " + fontName);
    	    }
    	}
    	
    	String preferredFont = "Microsoft YaHei"; // Default
    	for (String fontName : fontNames) {
    	    if (fontName.equals("Microsoft YaHei") || fontName.equals("Noto Sans CJK SC")) {
    	        preferredFont = fontName;
    	        break;
    	    }
    	}
    	//textArea.setFont(new Font(preferredFont, Font.PLAIN, 20));
    	
    	
        // Create the frame
        JFrame frame = new JFrame();
        
        // Set frame to always stay on top
        frame.setAlwaysOnTop(true);
        
        // Basic frame setup
        frame.setSize(480, 70);
        frame.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
        frame.setLocationRelativeTo(null); // Center on screen
        
        // Create a timer to update the title every second (1000ms)
        Timer timer = new Timer(1000, e -> {
            // Format current date and time
            DateTimeFormatter formatter = DateTimeFormatter.ofPattern("yyyy-MM-dd HH:mm:ss");
            String dateTime = LocalDateTime.now().format(formatter);
            frame.setTitle("防剪切,防搬运, 抖音: @ifoxbin " + dateTime);
        });
        
        // Create JTextArea with larger font
        JTextArea textArea = new JTextArea();
        //textArea.setFont(new Font("Microsoft YaHei", Font.PLAIN, 20)); // Set font size to 20, 写死不好
        textArea.setFont(new Font(preferredFont, Font.PLAIN, 20));
        textArea.setText("又来发视频啦\n包含中文字符\n你可以编辑它！");
        textArea.setLineWrap(true);
        textArea.setWrapStyleWord(true);
        
        // Add scroll pane to handle text overflow
        JScrollPane scrollPane = new JScrollPane(textArea);
        
        // Add the scroll pane to the frame
        frame.add(scrollPane, BorderLayout.CENTER);
        
        // Start the timer
        timer.start();
        
        // Make frame visible
        frame.setVisible(true);
    }
}
